package data;

import java.awt.*;

//
//
// DataDialogBrowseDlg
//
// Implementiert einen Dialog, in dem Beispiele ausgewhlt
// werden knnen.
//

class DataDialogBrowseDlg extends Dialog
{
	Button btnOk = new Button( "Ok" );
	Button btnCancel = new Button( "Cancel" );

	List lstURL = new List();

	DataDialog	parentDialog;

	// Initialisierung des Dialoges

	public DataDialogBrowseDlg(Frame  parent)
	{
		super( parent, "Browse", true );

		parentDialog = (DataDialog)parent;

		resize( 400, 200 );

		// Elemente einsetzen
		setLayout( new BorderLayout() );

		// Ok und Abbrechen
		Panel pnl = new Panel();
		pnl.setLayout( new GridLayout( 1, 2, 15, 15 ) );

		pnl.add( btnOk );
		pnl.add( btnCancel );

		add( "South", pnl );

		// Auswahlliste
		add( "Center", lstURL );
		add( "North", new Label( "File:" ) );

		lstURL.addItem( "bifurcation.txt" );
		lstURL.addItem( "coupled_junctions.txt" );
		lstURL.addItem( "coupled_junctions1.txt" );
		lstURL.addItem( "coupled_roessler.txt" );

		lstURL.addItem( "sym_hypercycle3.txt" );
		lstURL.addItem( "sym_hypercycle4.txt" );
		lstURL.addItem( "sym_hypercycle5.txt" );
		lstURL.addItem( "sym_hypercycle6.txt" );
		lstURL.addItem( "sym_hypercycle8.txt" );

		lstURL.addItem( "4d.txt" );
		lstURL.addItem( "hi.txt" );

		// welches ist im Moment aktiv
		lstURL.select(0);

		// alle Eingabefelder komplett!!!
		show();
}

	// Auswertung der Schaltflchen

	public boolean action( Event e, Object o )
	{
		if( e.target instanceof Button )
		{
			String sButton = (String)o;

			if( sButton.equals( btnOk.getLabel() ) )
			{
				// ausgewhlte Datei ins URL-Feld einsetzen
				parentDialog.txtURL.setText( lstURL.getSelectedItem() );

				hide();
				dispose();
				return true;
			}
			if(  sButton.equals( btnCancel.getLabel() ) )
			{
				hide();
				dispose();
				return true;
			}
		}

		return false;
	}
}

